CREATE TABLE accounts (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    name TEXT,
    type INTEGER,
    currency_id INTEGER,
    opening_balance LONG,
    minimum_balance LONG,
    favourite INTEGER,
    notes TEXT
);

CREATE TABLE categories (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    name TEXT,
    type INTEGER,
    parent_id INTEGER
);

CREATE TABLE transactions (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    account_id INTEGER,
    type INTEGER,
    date LONG,
    amount LONG,
    category_id INTEGER,
    number TEXT,
    payee TEXT,
    notes TEXT,
    status INTEGER,
    mirror_id INTEGER,
    mirror_account_id INTEGER
);

CREATE TABLE currencies (
    _id INTEGER PRIMARY KEY AUTOINCREMENT,
    name TEXT,
    code TEXT,
    symbol TEXT,
    home INTEGER,
    rate REAL,
    invert INTEGER
);

CREATE TABLE reports (
   _id INTEGER PRIMARY KEY AUTOINCREMENT,
   name TEXT,
   type INTEGER,
   date_from LONG,
   date_through LONG,
   account_ids TEXT,
   category_ids TEXT,
   status INTEGER
);